
<?php 
    $is_link = !empty( $settings['link']['url']) || false;
    if ($is_link) {
        $widget->add_render_attribute( 'link', 'href', $settings['link']['url'] );
        if ( $settings['link']['is_external'] ) {
            $widget->add_render_attribute( 'link', 'target', '_blank' );
        }
        if ( $settings['link']['nofollow'] ) {
            $widget->add_render_attribute( 'link', 'rel', 'nofollow' );
        }
    }

    $is_particle = !empty($settings['is_particle']) || false;
    $desc = !empty($settings['desc']) ? $settings['desc'] : 'Add Title Here';
    $title = !empty($settings['title']) ? $settings['title'] : 'Add Description Here';
?>
<div class="pxl-icon-box pxl-icon-box1 <?php echo esc_attr($settings['pxl_animate']); ?>" data-wow-delay="<?php echo esc_attr($settings['pxl_animate_delay'].'ms'); ?>">
    <div class="pxl-item--container">
        <div class="pxl-item--inner">
            <?php solarva_render_icon($settings['pxl_icon']); ?>
            <!-- Content -->
            <div class="pxl-item-content">
                <h5 class="pxl-item--title ">
                    <?php pxl_print_html($title); ?>
                </h5>
                <div class="pxl-item--desc">
                    <?php pxl_print_html($desc); ?>
                </div>
            </div>        
            <?php if($is_link) : ?>
                <a class="pxl-item--link" <?php pxl_print_html($widget->get_render_attribute_string('link')); ?>></a>
            <?php endif; ?>
        </div>
    </div>
</div>